package com.fs.qw.service;

import com.fs.common.core.domain.R;
import com.fs.qw.domain.QwAutoTags;
import com.fs.qw.param.QwAutoTagsParam;
import com.fs.qw.vo.QwAutoTagsVO;

import java.util.List;

/**
 * 自动打标签主Service接口
 *
 * @author fs
 * @date 2024-07-20
 */
public interface IQwAutoTagsService
{
    /**
     * 查询自动打标签主
     *
     * @param id 自动打标签主主键
     * @return 自动打标签主
     */
    public QwAutoTags selectQwAutoTagsById(Long id);

    /**
     *  主表已经算是详情了。这里就查logs历史记录
     * @Author sgw
     * @Date 2024/7/25 23:01
     **/
    public R selectQwAutoTagsByIdVO(Long id);

    /**
     * 查询自动打标签主列表
     *
     * @param qwAutoTags 自动打标签主
     * @return 自动打标签主集合
     */
    public List<QwAutoTags> selectQwAutoTagsList(QwAutoTags qwAutoTags);
    public List<QwAutoTagsVO> selectQwAutoTagsListVO(QwAutoTagsParam qwAutoTags);
    public List<QwAutoTagsVO> selectQwAutoTagsListMyVO(QwAutoTags qwAutoTags);

    /**
     * 新增自动打标签主
     *
     * @param qwAutoTags 自动打标签主
     * @return 结果
     */
    public int insertQwAutoTags(QwAutoTags qwAutoTags);

    /**
     * 修改自动打标签主
     *
     * @param qwAutoTags 自动打标签主
     * @return 结果
     */
    public int updateQwAutoTags(QwAutoTags qwAutoTags);

    /**
     * 批量删除自动打标签主
     *
     * @param ids 需要删除的自动打标签主主键集合
     * @return 结果
     */
    public int deleteQwAutoTagsByIds(Long[] ids);

    /**
     * 删除自动打标签主信息
     *
     * @param id 自动打标签主主键
     * @return 结果
     */
    public int deleteQwAutoTagsById(Long id);

    /**
     * 根据群id 匹配最新的符合条件的标签
     */
    public QwAutoTags selectQwAutoTagsByChatIdJSON(String corpId,  String CharId);


}
